#include <iostream>

using namespace std;

int main()
{
    int n;
    int x[200000];
    int y[200000];
    int px[200000];
    int py[200000];
    cin>>n;
    for(int i = 0; i < n; i++)
    {
        cin>>x[i]>>y[i];
    }
    if(n == 1 || n == 0)
        cout<<0;
    else if(n == 2)
    {
        if(x[0] != x[1] && y[0] != y[1])
            cout<<0;
        else
            cout<<1;
    }
    else
    {
        int br = 0;
        for(int i = 0; i < n; i++)
        {
            int brpom = 1;
            int gledaj = true;
            for(int j = 0; j < n; j++)
                if(x[i] == px[j])
                    gledaj = false;

            if(gledaj)
            {
                for(int j = 0; j < n; j++)
                {
                    if(x[i] == x[j] && i != j)
                        brpom++;
                }
                px[i] = x[i];
            }

            brpom--;
            br+=brpom;
        }
        for(int i = 0; i < n; i++)
        {
            int brpom = 1;
            int gledaj = true;

            for(int j = 0; j < n; j++)
                if(y[i] == py[j])
                    gledaj = false;

            if(gledaj)
            {
                for(int j = 0; j < n; j++)
                {
                    if(y[i] == y[j] && i != j)
                        brpom++;
                }
                py[i] = y[i];
            }

            brpom--;
            br+=brpom;
        }
        cout<<br;
    }
    return 0;
}